commit:     07ecc401d8cfa0807741b74949647a024a56a269
Author:     Jason A. Donenfeld <zx2c4 <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  9 00:13:32 2016 +0000
Commit:     Jason Donenfeld <zx2c4 <AT> gentoo <DOT> org>
CommitDate: Tue Feb  9 00:13:46 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=07ecc401

x11-misc/xdotool: bump

 x11-misc/xdotool/Manifest                    |  1 +
 x11-misc/xdotool/xdotool-3.20150503.1.ebuild | 49 ++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/x11-misc/xdotool/Manifest b/x11-misc/xdotool/Manifest
index d90ca0e..82da892 100644
--- a/x11-misc/xdotool/Manifest
+++ b/x11-misc/xdotool/Manifest
@@ -1 +1,2 @@
 DIST xdotool-2.20110530.1.tar.gz 107204 SHA256 
e7b42c8b1d391970e1c1009b256033f30e57d8e0a2a3de229fd61ecfc27baf67 SHA512 
0b2f71203c41e320aac152e1376b30bb9f5ea2067572299ad4c32f49b2505566275f0b377b4f443c3520751d71a9b270325cd676e63ee2a153de3213e128f2cb
 WHIRLPOOL 
c4bb185e59237917ddeb86d433ca1fbbea1ace2e1cc46c7d949cef748a7765b01300fdd3826537135798a646d4672a1607b6cc60acc7539e46994d974a5e1dad
+DIST xdotool-3.20150503.1.tar.gz 102125 SHA256 
e8326883bd5e91bede7336cbee186e6e9143f40b3fb61c84afc9bb31b87e96d1 SHA512 
d8eb411490d2f4936d63cd459e3319f76faf6dd415a3c2c68446b5a98d24290794dbffd22fbccfef5acc7d8aec6ce92b2135ecb3e1178607fc7d5b1e1767ede1
 WHIRLPOOL 
624b6fe82248ad31d4446dc5f42269c82d8d366e46d40313b77a78af18502cc57e8bf430fc7f175ed6d5474fe0c7de8643fd6cfba146ebc72e4f5545be48086c

diff --git a/x11-misc/xdotool/xdotool-3.20150503.1.ebuild 
b/x11-misc/xdotool/xdotool-3.20150503.1.ebuild
new file mode 100644
index 0000000..cf7023b
--- /dev/null
+++ b/x11-misc/xdotool/xdotool-3.20150503.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+
+inherit eutils toolchain-funcs flag-o-matic multilib
+
+DESCRIPTION="Simulate keyboard input and mouse activity, move and resize 
windows"
+HOMEPAGE="http://www.semicomplete.com/projects/xdotool/";
+SRC_URI="https://github.com/jordansissel/xdotool/releases/download/v${PV}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="examples"
+
+RDEPEND="x11-libs/libXtst
+       x11-libs/libX11
+       x11-libs/libXinerama"
+DEPEND="${RDEPEND}"
+
+# The test wants to manualy start Xvfb, wont use VirtualX and it tries
+# to run a full gnome-session. For such a tiny application i consider
+# it overkill to rewrite the test scripts to not use it's own X server
+# and add a full blown gnome just to run the tests.
+RESTRICT="test"
+
+src_prepare() {
+       sed -i \
+               -e "s/installheader post-install$/installheader/" \
+               -e 's:\<pkg-config\>:$(PKG_CONFIG):' \
+               Makefile || die "sed failed"
+}
+
+src_compile() {
+       tc-export CC LD PKG_CONFIG
+       default
+}
+
+src_install() {
+       emake PREFIX="${D}usr" INSTALLMAN="${D}usr/share/man" 
INSTALLLIB="${D}usr/$(get_libdir)" install || die
+
+       dodoc CHANGELIST README
+       if use examples; then
+               insinto /usr/share/doc/${PF}/examples
+               doins examples/*
+       fi
+}

Reply via email to